public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Zdenek Pytela <zpytela@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy: do not test watch in systemd-timesyncd on RHEL < 9
Date: Fri, 11 Sep 2026 13:19:19 GMT	[thread overview]
Message-ID: <178913275975.1.3006532977027866445.tests-selinux-134253d9800e@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 134253d9800e6a027c792f35807b959cd306fd0d
            Author : Zdenek Pytela <zpytela@redhat.com>
            Date   : 2021-08-12T10:54:30+00:00
            Stats  : +2/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/134253d9800e6a027c792f35807b959cd306fd0d?branch=pr775-checkpolicy-revdeps

            Log:
            selinux-policy: do not test watch in systemd-timesyncd on RHEL < 9

The watch permissions are present only in RHEL 9 and Fedora,
so the subtests for watch should not be executed in the systemd-timesyncd
test on a system with RHEL up to version 8.

---
diff --git a/selinux-policy/systemd-timesyncd-and-similar/runtest.sh b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
index f9b1b7f..66f114f 100755
--- a/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
+++ b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
@@ -102,12 +102,14 @@ rlJournalStart
         rlSESearchRule "allow systemd_timedated_t efivarfs_t : file { getattr open read } [ ]"
     rlPhaseEnd
 
+    if ! rlIsRHEL '<9' ; then
     rlPhaseStartTest "bz#1949315"
         rlSEMatchPathCon "/" "root_t"
         rlSEMatchPathCon "/run" "var_run_t"
         rlSESearchRule "allow systemd_timedated_t root_t : dir { watch } [ ]"
         rlSESearchRule "allow systemd_timedated_t var_run_t : dir { watch } [ ]"
     rlPhaseEnd
+    fi
 
     if systemctl list-units | grep -q ${SERVICE_NAME} ; then
     rlPhaseStartTest "real scenario -- standalone service"

                 reply	other threads:[~2026-09-11 13:19 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913275975.1.3006532977027866445.tests-selinux-134253d9800e@fedoraproject.org \
    --to=zpytela@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox